% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot.mldfm.R
\name{plot.mldfm}
\alias{plot.mldfm}
\title{Plot method for MLDFM object}
\usage{
\method{plot}{mldfm}(x, which = "factors", dates = NULL, var_names = NULL, ...)
}
\arguments{
\item{x}{An object of class \code{mldfm}.}

\item{which}{What to plot: one of \code{"factors"} (default), \code{"loadings"}, or \code{"residuals"}.}

\item{dates}{Optional vector of dates (as \code{Date} or \code{zoo::yearqtr}) to use for the x-axis. If not provided, a simple index (1:N) is used.}

\item{var_names}{Optional vector of variable names to label loadings and residual axis.}

\item{\dots}{Additional arguments (ignored)}
}
\value{
No return value. Called for plots generation.
}
\description{
Dispatches to specific plot functions for factors, loadings, or residuals.
}
